<nav class="navbar navbar-expand-lg navbar-light bg-dawn-sea">
  <div class="container">
    <a class="navbar-brand" href="/">
      <img src="/media/img/logo/lca_horiz_blue.svg" alt="linux.conf.au logo" height="35px">
    </a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarText" aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarText">
      <ul class="navbar-nav mr-auto">
      {% for navigationLink in site.navigationLinks %}
      <li class="nav-item {% if navigationLink.permalink != null and page.permalink == navigationLink.permalink %}active{% endif %} {% if navigationLink.children != null %}dropdown{% endif %}">
      {% if navigationLink.children == null %}
        <a class="nav-link" href="{% if navigationLink.permalink != null %}{{ navigationLink.permalink | prepend: site.baseurl }}{% else %}{{ navigationLink.link }}{% endif %}" {% if navigationLink.link != null %}target="_blank"{% endif %}>{{navigationLink.text}}</a>
      {% else %}
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          {{navigationLink.text}}
        </a>
        <div class="dropdown-menu">
          {% for childLink in navigationLink.children %}
            <a class="dropdown-item" href="{% if childLink.permalink != null %}{{ childLink.permalink | prepend: site.baseurl }}{% else %}{{ childLink.link }}{% endif %}" {% if childLink.link != null %}target="_blank"{% endif %}>{{childLink.text}}</a>
          {% endfor %}
        </div>
      {% endif %}
      </li>
      {% endfor %}
      </ul>
    </div>
  </div>
</nav>
